Page MenuHomeFreeBSD

BCM2835 (Raspberry Pi 3) sdhost device driver
ClosedPublic

Authored by k_7he.at on Feb 2 2018, 10:46 AM.

Details

Summary

This is a device driver for the second SDHCI on Raspberry Pi 3 / BCM2835.
It allows the Arasan SDHCI to be used for other purposes, e.g. driving
the radio (wlan) module.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

k_7he.at created this revision.Feb 2 2018, 10:46 AM
gonzo added inline comments.Feb 21 2018, 10:46 PM
sys/arm/broadcom/bcm2835/bcm2835_sdhost.c
263 ↗(On Diff #38776)

As it was previously discussed on mailing list, direct gpio pin muxing should be replaced by proper pinctrl. It's in review at the moment , D14104. I added dependency for this review.

538 ↗(On Diff #38776)

It's OK in some cases to prevent detach of the device with EBUSY but in this case do not destroy mutex, because it's still going to be required.

k_7he.at updated this revision to Diff 39706.Feb 25 2018, 11:53 AM
  • Removed all of the ''swap pins'' stuff.
  • Not destroying the mutex in bcm_sdhost_detach().
  • Added comment about pin configurations. Without the pull-ups the card will not be recognized !
k_7he.at marked 2 inline comments as done.Feb 25 2018, 11:55 AM
kibab added a subscriber: kibab.May 28 2018, 6:29 PM
kibab added inline comments.May 29 2018, 9:07 AM
sys/arm/broadcom/bcm2835/bcm2835_sdhost.c
405 ↗(On Diff #39706)

This variable (and the one after) are not used and cause compilation to fail.

k_7he.at updated this revision to Diff 43466.Jun 8 2018, 4:47 PM

Removed unused variables ''node'' and ''cell'' in bcm_sdhost_attach().

k_7he.at marked an inline comment as done.Jun 8 2018, 4:47 PM
gonzo accepted this revision.Jun 28 2018, 6:14 PM
This revision is now accepted and ready to land.Jun 28 2018, 6:14 PM
This revision was automatically updated to reflect the committed changes.